Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.certclient.util
Class Pk10CertFactory

    java.lang.Object
      com.ibm.security.certclient.util.Pk10CertFactory

    public final class Pk10CertFactory

extends Object

Generate a certificate from a PKCS10 certificate request and sign it with the provided signer key.

Method Summary
`static Pk10Certificate` | `newCert(byte[] pkcs10CertRequestDER, Date notBeforeDate, int validityPeriod, X509Certificate signingCert, PrivateKey signingCertPrivateKey)` Create a personal certificate from the DER encoded PKCS10 certificate request and sign it with the specified private key.
`static Pk10Certificate` | `newCert(String pkcs10CertRequestFile, Date notBeforeDate, int validityPeriod, X509Certificate signingCert, PrivateKey signingCertPrivateKey)` Create a personal certificate from the PKCS10 certificate request file and sign it with the specified private key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newCert

    public static Pk10Certificate newCert(String pkcs10CertRequestFile,
                                          Date notBeforeDate,
                                          int validityPeriod,
                                          X509Certificate signingCert,
                                          PrivateKey signingCertPrivateKey)
                                   throws com.ibm.security.certclient.base.PkRejectionException

  Create a personal certificate from the PKCS10 certificate request file and sign it with the specified private key.

  Parameters:
    `pkcs10CertRequestFile` - Name of the PKCS10 certificate request file. The contents of the file are BASE64 encoded.
    `notBeforeDate` - The date before which this certificate is not valid
    `validityPeriod` - The validityPeriod of the certificate in days
    `signingCert` - The signing certificate
    `signingCertPrivateKey` - The private key used to sign personal certificate being created. This is the private key associated with public key within the signingCert.
  Returns:
    a Pk10Certificate object that implements a personal certificate that contains attributes supplied in the PKCS10 certificate request. The certificate is signed by the specified private key.
  Throws:
    `com.ibm.security.certclient.base.PkRejectionException`

### newCert

    public static Pk10Certificate newCert(byte[] pkcs10CertRequestDER,
                                          Date notBeforeDate,
                                          int validityPeriod,
                                          X509Certificate signingCert,
                                          PrivateKey signingCertPrivateKey)
                                   throws com.ibm.security.certclient.base.PkRejectionException

  Create a personal certificate from the DER encoded PKCS10 certificate request and sign it with the specified private key.

  Parameters:
    `pkcs10CertRequestDER` - DER encoded byte array of the PKCS10CertRequest
    `notBeforeDate` - The date before which this certificate is not valid
    `validityPeriod` - The validityPeriod of the certificate in days
    `signingCert` - The signing certificate
    `signingCertPrivateKey` - The private key used to sign personal certificate being created. This is the private key associated with public key within the signingCert.
  Returns:
    a Pk10Certificate object that implements a personal certificate that contains attributes supplied in the PKCS10 certificate request. The certificate is signed by the specified private key.
  Throws:
    `com.ibm.security.certclient.base.PkRejectionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD